//
//  DDViewController.swift
//  HichefuOfDriverCustomizeControls
//
//  Created by 中道 on 2023/2/13.
//

import Foundation
import DDBasicControlsKit_Private.DDBaseViewController
import DDCategoryKit_Private

open class DDViewController: DDBaseViewController {
    
    public override init(nibName nibNameOrNil: String?, bundle nibBundleOrNil: Bundle?) {
        super.init(nibName: nibNameOrNil, bundle: nibBundleOrNil)
        
    }
    
    public required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    open override func viewDidLoad() {
        super.viewDidLoad()
        dd_navigationBarBackgroundColor = .white
        dd_navigationBarBarButtonItemAttributes = [.foregroundColor : UIColor.white]
        view.backgroundColor = .white
        extendedLayoutIncludesOpaqueBars = true
        edgesForExtendedLayout = [.all]
    }

    open override var preferredStatusBarStyle: UIStatusBarStyle{
        get{
            return .lightContent
        }
    }
    
    open override var shouldAutorotate: Bool {
        return false
    }

    open override var supportedInterfaceOrientations: UIInterfaceOrientationMask{
        return .portrait
    }
    
    open override var preferredInterfaceOrientationForPresentation: UIInterfaceOrientation{
        return .portrait
    }
}
